package check

// IsPalyndromeRec checks if a given string s is palyndrome.
// It returns true iff the string is palyndrome.
// The check is done recursively.
func IsPalyndromeRec(s string) bool {
	t := []rune(s)
	if len(t) <= 1 {
		return true
	}
	if t[0] != t[len(t)-1] {
		return false
	}
	return IsPalyndromeRec(string(t[1:len(t)-1]))
}
